<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

function xBuscar($varFormm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsListaAsignacionVenta($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varFormm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	$variable2="ResaltarSeleccionado()";
	$respuestaXajax->script($variable2); 
	return $respuestaXajax;
	}

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->processRequest();
$xajax->printJavascript("clases/xajax");


?>
<script language="javascript">	
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("cod").value=="" && xajax.$("vcod1").value=="" && xajax.$("ccod1").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR AL MENOS UN PARAMETRO DE BUSQUEDA");
			xajax.$("cod").focus()
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'), varField, varOrder);
			}				
		}	
	
	function seleccionar(varIde, varFec, varPla, varFormCod, varFormNom) {
	var varCod = opener.document.getElementById(varFormCod);
	var varNom = opener.document.getElementById(varFormNom); 
	varCod.value = varIde;
	varNom.value = 'Fecha => ' +varFec + ' - Placa => ' + varPla; 
	window.close();
  	}

</script>
<?php		
function MyTable($obj, $varTitulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	} 
?>